package com.ss.android.ugc.aweme.commercialize.adsetting;

import X.AnonymousClass3RG;
import X.IUu;
import X.JLw;
import X.JMA;
import X.PUw;
import com.bytedance.covode.number.Covode;

public interface AdSettingsApi {
    public static final AnonymousClass3RG LIZ = AnonymousClass3RG.LIZ;

    static {
        Covode.recordClassIndex(58264);
    }

    @JMA(LIZ = "/aweme/v1/ad/settings/")
    JLw<String> requestAdSettings(@PUw(LIZ = "item_id") String str);

    @IUu(LIZ = "/aweme/v1/ad/settings/code/delete/")
    JLw<String> requestCodeDelete(@PUw(LIZ = "item_id") String str, @PUw(LIZ = "confirm") boolean z);

    @IUu(LIZ = "/tiktok/v1/ad/auth/extend/")
    JLw<String> requestCodeExtend(@PUw(LIZ = "item_id") String str, @PUw(LIZ = "extend_time") long j);

    @IUu(LIZ = "/aweme/v1/ad/settings/code/generate/")
    JLw<String> requestCodeGenerate(@PUw(LIZ = "item_id") String str, @PUw(LIZ = "start_time") long j, @PUw(LIZ = "end_time") long j2);

    @IUu(LIZ = "/tiktok/v1/ad/dark/post/update/")
    JLw<String> requestDarkPostUpdate(@PUw(LIZ = "item_id") String str, @PUw(LIZ = "status") int i);

    @IUu(LIZ = "/aweme/v1/ad/settings/promote/update/")
    JLw<String> requestPromoteUpdate(@PUw(LIZ = "item_id") String str, @PUw(LIZ = "promotable") boolean z);
}
